<?php
session_start();

/*
Plugin Name: sts-dropdownmenu
Plugin URI: http://www.acheta.de/2006/04/18/dropdown-plugin/
Description: This plugin is based on 3 functions of the template-functions-post.php-file by wordpress. It returns a list of arrays that can then be used with the javascript-drop down menu by <a href="http://www.dynamicdrive.com/dynamicindex1/dropmenuindex.htm">dynamicdrive</a> (which is included in the plugin) to create a drop down menu for static pages.
Author: Stefan Schwenk
Version: 1.00
Author URI: http://acheta.de/
*/

add_option('sts_drop_width', 720);
add_option('sts_drop_height', 22);
add_option('sts_drop_bgcolor', '#6699ff');
add_option('sts_drop_headbgcolor', '#6699ff');
add_option('sts_drop_hovercolor', '#99ccff');
add_option('sts_drop_fontcolor', '#fff');
add_option('sts_drop_hoverfontcolor', '#fff');
add_option('sts_ddmenu_width', 100);
add_option('sts_ddmenu_bgcolor', '#fff');
add_option('sts_ddmenu_delay', 500);
add_option('sts_ddmenu_headwidth', 100);
add_option('sts_ddmenu_hovercolor', '#6699ff');
add_option('sts_ddmenu_hoverbgcolor', '#99ccff');
add_option('sts_ddmenu_fontcolor', '#fff');
add_option('sts_ddmenu_hoverfontcolor', '#fff');
add_option('sts_drop_exclude', '');
add_option('sts_ddmenu_exclude', '');
add_option('sts_drop_clickable', 'yes');


function sts_ddmenu_add_option_pages() {
	if (function_exists('add_options_page')) {
		add_options_page('STS Drop Down Menu', 'STS DropDownMenu', 8, __FILE__, 'sts_ddmenu_options_page');
	}		
}


function sts_ddmenu_options_page() {

	if (isset($_POST['info_update'])) {

		?><div id="message" class="updated fade"><p><strong><?php 

		update_option('sts_drop_width',       		(int) $_POST["sts_drop_width"]);
		update_option('sts_drop_height',       		(int) $_POST["sts_drop_height"]);
		update_option('sts_drop_bgcolor',       	(string) $_POST["sts_drop_bgcolor"]);
		update_option('sts_drop_headbgcolor',       	(string) $_POST["sts_drop_headbgcolor"]);
		update_option('sts_drop_hovercolor',       	(string) $_POST["sts_drop_hovercolor"]);
		update_option('sts_drop_fontcolor',       	(string) $_POST["sts_drop_fontcolor"]);
		update_option('sts_drop_hoverfontcolor',       	(string) $_POST["sts_drop_hoverfontcolor"]);
		update_option('sts_ddmenu_width',       	(int) $_POST["sts_ddmenu_width"]);
		update_option('sts_ddmenu_bgcolor',        	(string) $_POST["sts_ddmenu_bgcolor"]);
		update_option('sts_ddmenu_delay',        	(int) $_POST["sts_ddmenu_delay"]);
		update_option('sts_ddmenu_headwidth',        	(int) $_POST["sts_ddmenu_headwidth"]);
		update_option('sts_ddmenu_width',        	(int) $_POST["sts_ddmenu_width"]);
		update_option('sts_ddmenu_hovercolor',       	(string) $_POST["sts_ddmenu_hovercolor"]);
		update_option('sts_ddmenu_hoverbgcolor',       	(string) $_POST["sts_ddmenu_hoverbgcolor"]);
		update_option('sts_ddmenu_fontcolor',       	(string) $_POST["sts_ddmenu_fontcolor"]);
		update_option('sts_ddmenu_hoverfontcolor',      (string) $_POST["sts_ddmenu_hoverfontcolor"]);
		update_option('sts_drop_exclude',      		(string) $_POST["sts_drop_exclude"]);
		update_option('sts_ddmenu_exclude',      	(string) $_POST["sts_ddmenu_exclude"]);
		update_option('sts_drop_clickable',    		(string) $_POST["sts_drop_clickable"]);

		echo "Configuration Updated!";

	    ?></strong></p></div><?php

	} ?>
<div class=wrap>

	<h2>STS Drop Down Menu</h2>

	<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	<input type="hidden" name="info_update" id="info_update" value="true" />


	<fieldset class="options"> 
	<legend>Variables</legend>

	<p>The following are only the variables used most often. 
	If you want to change the layout further (if you want the 
	drop down menu to have borders for example), 
	you may have to change the css within the plugin itself.</p>

	<p>By default pages are ordered by their page_id. If you have 
	specified a specific page order in the admin panel however, 
	they are ordered by this page order.</p>

	<table width="100%" border="0" cellspacing="0" cellpadding="6">

	<tr valign="top"><td width="35%" align="right"><strong>MENU</strong></td><td></td></tr>

	<tr valign="top"><td width="35%" align="right">
		menu width
	</td><td align="left">
		<input name="sts_drop_width" type="text" size="20" value="<?php echo get_option('sts_drop_width') ?>"/> (in pixel. e.g. '500')
	</td></tr>

	<tr valign="top"><td width="35%" align="right">
		menu height
	</td><td align="left">
		<input name="sts_drop_height" type="text" size="20" value="<?php echo get_option('sts_drop_height') ?>"/> (in pixel. e.g. '50')
	</td></tr>

	<tr valign="top"><td width="35%" align="right">
		menu background color
	</td><td align="left">
		<input name="sts_drop_bgcolor" type="text" size="20" value="<?php echo get_option('sts_drop_bgcolor') ?>"/> (either color or hex. e.g. 'white' or '#fff')
	</td></tr>

	<tr><td></td></tr>

	<tr valign="top"><td width="35%" align="right"><strong>TOP PAGES (Headers)</strong></td><td></td></tr>

	<tr valign="top"><td width="35%" align="right">
		menu headers to exclude
	</td><td align="left">
		<input name="sts_drop_exclude" type="text" size="20" value="<?php echo get_option('sts_drop_exclude') ?>"/> (page_ids seperated by komma. e.g. '3,4,5' )
	</td></tr>

	<tr valign="top"><td width="35%" align="right">
		top pages clickable
	</td><td align="left">
		<input name="sts_drop_clickable" type="text" size="20" value="<?php echo get_option('sts_drop_clickable') ?>"/> ('yes' or 'no')
	</td></tr>

	<tr valign="top"><td width="35%" align="right">
		menu headers width
	</td><td align="left">
		<input name="sts_ddmenu_headwidth" type="text" size="20" value="<?php echo get_option('sts_ddmenu_headwidth') ?>"/> (in pixel. e.g. '150')
	</td></tr>

	<tr valign="top"><td width="35%" align="right">
		menu header background color
	</td><td align="left">
		<input name="sts_drop_headbgcolor" type="text" size="20" value="<?php echo get_option('sts_drop_headbgcolor') ?>"/>  (either color or hex. e.g. 'white' or '#fff')
	</td></tr>

	<tr valign="top"><td width="35%" align="right">
		menu headers hover background color
	</td><td align="left">
		<input name="sts_drop_hovercolor" type="text" size="20" value="<?php echo get_option('sts_drop_hovercolor') ?>"/>  (either color or hex. e.g. 'white' or '#fff')
	</td></tr>

	<tr valign="top"><td width="35%" align="right">
		menu headers font color
	</td><td align="left">
		<input name="sts_drop_fontcolor" type="text" size="20" value="<?php echo get_option('sts_drop_fontcolor') ?>"/>  (either color or hex. e.g. 'white' or '#fff')
	</td></tr>

	<tr valign="top"><td width="35%" align="right">
		menu headers hover font color
	</td><td align="left">
		<input name="sts_drop_hoverfontcolor" type="text" size="20" value="<?php echo get_option('sts_drop_hoverfontcolor') ?>"/>  (either color or hex. e.g. 'white' or '#fff')
	</td></tr>

	<tr><td></td></tr>

	<tr valign="top"><td width="35%" align="right"><strong>SUBPAGES</strong></td><td></td></tr>

	<tr valign="top"><td width="35%" align="right">
		menu headers to exclude
	</td><td align="left">
		<input name="sts_ddmenu_exclude" type="text" size="20" value="<?php echo get_option('sts_ddmenu_exclude') ?>"/> (page_ids seperated by komma. e.g. '3,4,5' )
	</td></tr>

	<tr valign="top"><td width="35%" align="right">
		Drop down menu width
	</td><td align="left">
		<input name="sts_ddmenu_width" type="text" size="20" value="<?php echo get_option('sts_ddmenu_width') ?>"/> (in pixel. e.g. '150')
	</td></tr>

	<tr valign="top"><td width="35%" align="right">
		Drop down menu background color
	</td><td align="left">
		<input name="sts_ddmenu_bgcolor" type="text" size="20" value="<?php echo get_option('sts_ddmenu_bgcolor') ?>"/> (either color or hex. e.g. 'white' or '#fff')
	</td></tr>

	<tr valign="top"><td width="35%" align="right">
		Subpage background color
	</td><td align="left">
		<input name="sts_ddmenu_hovercolor" type="text" size="20" value="<?php echo get_option('sts_ddmenu_hovercolor') ?>"/> (either color or hex. e.g. 'white' or '#fff')
	</td></tr>

	<tr valign="top"><td width="35%" align="right">
		Subpage hover background color
	</td><td align="left">
		<input name="sts_ddmenu_hoverbgcolor" type="text" size="20" value="<?php echo get_option('sts_ddmenu_hoverbgcolor') ?>"/> (either color or hex. e.g. 'white' or '#fff')
	</td></tr>

	<tr valign="top"><td width="35%" align="right">
		Drop down menu font color
	</td><td align="left">
		<input name="sts_ddmenu_fontcolor" type="text" size="20" value="<?php echo get_option('sts_ddmenu_fontcolor') ?>"/> (either color or hex. e.g. 'white' or '#fff')
	</td></tr>

	<tr valign="top"><td width="35%" align="right">
		Drop down menu hover font color
	</td><td align="left">
		<input name="sts_ddmenu_hoverfontcolor" type="text" size="20" value="<?php echo get_option('sts_ddmenu_hoverfontcolor') ?>"/> (either color or hex. e.g. 'white' or '#fff')
	</td></tr>

	<tr valign="top"><td width="35%" align="right">
		menu disappear speed onMouseout
	</td><td align="left">
		<input name="sts_ddmenu_delay" type="text" size="20" value="<?php echo get_option('sts_ddmenu_delay') ?>"/> (in miliseconds)
	</td></tr>

</table>

</fieldset>
	<div class="submit">
		<input type="submit" name="info_update" value="<?php _e('Update options'); ?> &raquo;" />
	</div>
	</form>
	</div><?php
}


function sts_clickable() {
	if ( get_option('sts_drop_clickable') == 'no' )
		$output .= 'onClick="return clickreturnvalue()" ' ;
	else 
		$output .= '';

	return $output;
}



function sts_menu_pages($args = '') {

	parse_str($args, $r);
	if ( !isset($r['depth']) )
		$r['depth'] = 0;
	if ( !isset($r['show_date']) )
		$r['show_date'] = '';
	if ( !isset($r['child_of']) )
		$r['child_of'] = 0;
	if ( !isset($r['echo']) )
		$r['echo'] = 1;

	$output = '';

	// Query pages.
	$pages = & get_pages($args);
	if ( $pages ) {

		// Now loop over all pages that were selected
		$page_tree = Array();
		foreach ( $pages as $page ) {
			// set the title for the current page
			$page_tree[$page->ID]['title'] = $page->post_title;
			$page_tree[$page->ID]['name'] = $page->post_name;
			$page_tree[$page->ID]['menu_order'] = $page->menu_order;

			// set the selected date for the current page
			// depending on the query arguments this is either
			// the createtion date or the modification date
			// as a unix timestamp. It will also always be in the
			// ts field.
			if ( !empty($r['show_date']) ) {
				if ( 'modified' == $r['show_date'] )
					$page_tree[$page->ID]['ts'] = $page->post_modified;
				else
					$page_tree[$page->ID]['ts'] = $page->post_date;
			}

			// The tricky bit!!
			// Using the parent ID of the current page as the
			// array index we set the curent page as a child of that page.
			// We can now start looping over the $page_tree array
			// with any ID which will output the page links from that ID downwards.
			if ( $page->post_parent != $page->ID)
				$page_tree[$page->post_parent]['children'][] = $page->ID;
		}
		// Output of the pages starting with child_of as the root ID.
		// child_of defaults to 0 if not supplied in the query.
		$output .= sts_page_menu_out($r['child_of'],$page_tree, $r, 0, false);
	}

	$output = apply_filters('sts_menu_pages', $output);

	if ( $r['echo'] )
		echo $output;
	else
		return $output;
}



function sts_page_menu_out($parent, $page_tree, $args, $depth = 0, $echo = true) {
	global $wp_query;
	$queried_obj = $wp_query->get_queried_object();
	$output = '';

	if ( $depth )
		$indent = str_repeat("\t", $depth);
		//$indent = join('', array_fill(0,$depth,"\t"));

	if ( !is_array($page_tree[$parent]['children']) )
		return false;

	foreach ( $page_tree[$parent]['children'] as $page_id ) {
		$cur_page = $page_tree[$page_id];
		$title = $cur_page['title'];

		$css_class = 'page_item';
		if ( $page_id == $queried_obj->ID )
			$css_class .= ' current_page_item';

		$output .= $indent . 'var menu' . $page_id . '=new Array()';

		if ( isset($cur_page['ts']) ) {
			$format = get_settings('date_format');
			if ( isset($args['date_format']) )
				$format = $args['date_format'];
			$output .= " " . mysql2date($format, $cur_page['ts']);
		}

		if ( isset($cur_page['children']) && is_array($cur_page['children']) ) {
			$new_depth = $depth + 1;

			if ( !$args['depth'] || $depth < ($args['depth']-1) ) {
				$output .= "$indent\n";
				$output .= sts_page_child_out($page_id, $page_tree, $args, $new_depth, false);
				$output .= "$indent\n";
			}
		}
		$output .= "$indent\n";
	}
	if ( $echo )
		echo $output;
	else
		return $output;
}



function sts_page_child_out($parent, $page_tree, $args, $depth = 0, $echo = true) {
	global $wp_query;
	$queried_obj = $wp_query->get_queried_object();
	$output = '';

	if ( $depth )
		$indent = str_repeat("\t", $depth);
		//$indent = join('', array_fill(0,$depth,"\t"));

	if ( !is_array($page_tree[$parent]['children']) )
		return false;

	foreach ( $page_tree[$parent]['children'] as $page_id ) {
		$cur_page = $page_tree[$page_id];
		$title = $cur_page['title'];
		$sts_menuorder = $cur_page['menu_order'];
		if ( $sts_menuorder == 0 )
			$sts_menuorder = $page_id;

		$css_class = 'page_item';
		if ( $page_id == $queried_obj->ID )
			$css_class .= ' current_page_item';

		$output .= $indent . 'menu' . $parent . '[' . $sts_menuorder . ']=\'<a href="' . get_page_link($page_id) . '">' . $title . '</a>\'';

		if ( isset($cur_page['ts']) ) {
			$format = get_settings('date_format');
			if ( isset($args['date_format']) )
				$format = $args['date_format'];
			$output .= " " . mysql2date($format, $cur_page['ts']);
		}

		if ( isset($cur_page['children']) && is_array($cur_page['children']) ) {
			$new_depth = $depth + 1;

			if ( !$args['depth'] || $depth < ($args['depth']-1) ) {
				$output .= "$indent\n";
				$output .= sts_page_child_out($page_id, $page_tree, $args, $new_depth, false);
				$output .= "$indent\n";
			}
		}
		$output .= "$indent\n";
	}
	if ( $echo )
		echo $output;
	else
		return $output;
}



function sts_output_pages($args = '') {
	parse_str($args, $r);
	if ( !isset($r['depth']) )
		$r['depth'] = 0;
	if ( !isset($r['show_date']) )
		$r['show_date'] = '';
	if ( !isset($r['child_of']) )
		$r['child_of'] = 0;
	if ( !isset($r['echo']) )
		$r['echo'] = 1;

	$output = '';

	// Query pages.
	$pages = & get_pages($args);
	if ( $pages ) {


		// Now loop over all pages that were selected
		$page_tree = Array();
		foreach ( $pages as $page ) {
			// set the title for the current page
			$page_tree[$page->ID]['title'] = $page->post_title;
			$page_tree[$page->ID]['name'] = $page->post_name;

			// set the selected date for the current page
			// depending on the query arguments this is either
			// the createtion date or the modification date
			// as a unix timestamp. It will also always be in the
			// ts field.
			if ( !empty($r['show_date']) ) {
				if ( 'modified' == $r['show_date'] )
					$page_tree[$page->ID]['ts'] = $page->post_modified;
				else
					$page_tree[$page->ID]['ts'] = $page->post_date;
			}

			// The tricky bit!!
			// Using the parent ID of the current page as the
			// array index we set the curent page as a child of that page.
			// We can now start looping over the $page_tree array
			// with any ID which will output the page links from that ID downwards.
			if ( $page->post_parent != $page->ID)
				$page_tree[$page->post_parent]['children'][] = $page->ID;
		}
		// Output of the pages starting with child_of as the root ID.
		// child_of defaults to 0 if not supplied in the query.
                $output .= "<div id=\"stsdropdown\">\n";
		$output .= sts_page_output_out($r['child_of'], $page_tree, $r, 0, false);
                $output .= "</div>";
	}

	$output = apply_filters('sts_output_pages', $output);

	if ( $r['echo'] )
		echo $output;
	else
		return $output;
}



function sts_page_output_out($parent, $page_tree, $args, $depth = 0, $echo = true) {
	global $wp_query;
	$queried_obj = $wp_query->get_queried_object();
	$output = '';

$headwidth =  get_option('sts_ddmenu_headwidth');

	if ( $depth )
		$indent = str_repeat("\t", $depth);
		//$indent = join('', array_fill(0,$depth,"\t"));

	if ( !is_array($page_tree[$parent]['children']) )
		return false;

	foreach ( $page_tree[$parent]['children'] as $page_id ) {
		$cur_page = $page_tree[$page_id];
		$title = $cur_page['title'];

		$css_class = 'page_item';
		if ( $page_id == $queried_obj->ID )
			$css_class .= ' current_page_item';


		$output .= $indent . '<div id="stsheads"><a href="' . get_page_link($page_id) . '" ' . sts_clickable() . 'onMouseover="dropdownmenu(this, event, menu' .$page_id . ', \'' . get_option('sts_ddmenu_width') . 'px\')" onMouseout="delayhidemenu()">' . $title . '</a></div>';

		if ( isset($cur_page['ts']) ) {
			$format = get_settings('date_format');
			if ( isset($args['date_format']) )
				$format = $args['date_format'];
			$output .= " " . mysql2date($format, $cur_page['ts']);
		}

		if ( isset($cur_page['children']) && is_array($cur_page['children']) ) {
			$new_depth = $depth + 1;

			if ( !$args['depth'] || $depth < ($args['depth']-1) ) {
				$output .= "$indent\n";
				$output .= "$indent\n";
			}
		}
		$output .= "$indent\n";
	}
	if ( $echo )
		echo $output;
	else
		return $output;
}



function sts_dropdown_css()
	{
?>
<style type="text/css" media="screen">

#stsdropdown{
width:<?php echo get_option('sts_drop_width') ?>px;
height: <?php echo get_option('sts_drop_height') ?>px;
margin: 17px 10px 0;
background-color: <?php echo get_option('sts_drop_bgcolor') ?>;
padding:0px 0;
}

h1 {
padding-top: 40px;
margin: 0;
}

#stsheads{
width:<?php echo get_option('sts_ddmenu_headwidth') ?>px;
line-height:1.2em;
display:inline;
float:left;
}

#stsdropdown a{
display:block;
background-color: <?php echo get_option('sts_drop_headbgcolor') ?>;
color:<?php echo get_option('sts_drop_fontcolor') ?>;
font-weight:normal;
padding: 5px;
line-height:1.2em;
margin:0px;
}


#stsdropdown a:hover{
background-color: <?php echo get_option('sts_drop_hovercolor') ?>;
color:<?php echo get_option('sts_drop_hoverfontcolor') ?>;
text-decoration:none;
font-weight: bold;
}

#stsdropmenudiv{
position:absolute;
font:normal 1em Verdana;
line-height:1.4em;
margin:0;
padding: 0px;
}

#stsdropmenudiv a{
position:relative;
display: block;
text-decoration: none;
font-weight: normal;
text-align:left;
color:<?php echo get_option('sts_ddmenu_fontcolor') ?>;
background-color:<?php echo get_option('sts_ddmenu_hovercolor') ?>;
padding:0px 15px 0px 15px;
margin: 1px 0px;
}

#stsdropmenudiv a:hover{ 
background-color:<?php echo get_option('sts_ddmenu_hoverbgcolor') ?>;
color:<?php echo get_option('sts_ddmenu_hoverfontcolor') ?>;
font-weight: bold;
}
	</style>

<script type="text/javascript">

/***********************************************
* AnyLink Drop Down Menu- ? Dynamic Drive (www.dynamicdrive.com)
* This notice MUST stay intact for legal use
* Visit http://www.dynamicdrive.com/ for full source code
***********************************************/

<?php sts_menu_pages('exclude=' . get_option('sts_ddmenu_exclude') . '&sort_column=menu_order&title_li=' ); ?>


var menuwidth='<?php echo get_option('sts_drop_width') ?>px' //default menu width
var menubgcolor='<?php echo get_option('sts_ddmenu_bgcolor') ?>;'  //menu bgcolor
var disappeardelay=<?php echo get_option('sts_ddmenu_delay') ?>  //menu disappear speed onMouseout (in miliseconds)
var hidemenu_onclick="0" //hide menu when user clicks within menu?

/////No further editting needed

var ie4=document.all
var ns6=document.getElementById&&!document.all

if (ie4||ns6)
document.write('<div id="stsdropmenudiv" style="visibility:hidden;width:'+menuwidth+';background-color:'+menubgcolor+'" onMouseover="clearhidemenu()" onMouseout="dynamichide(event)"></div>')

function getposOffset(what, offsettype){
var totaloffset=(offsettype=="left")? what.offsetLeft : what.offsetTop;
var parentEl=what.offsetParent;
while (parentEl!=null){
totaloffset=(offsettype=="left")? totaloffset+parentEl.offsetLeft : totaloffset+parentEl.offsetTop;
parentEl=parentEl.offsetParent;
}
return totaloffset;
}


function showhide(obj, e, visible, hidden, menuwidth){
if (ie4||ns6)
dropmenuobj.style.left=dropmenuobj.style.top="-500px"
if (menuwidth!=""){
dropmenuobj.widthobj=dropmenuobj.style
dropmenuobj.widthobj.width=menuwidth
}
if (e.type=="click" && obj.visibility==hidden || e.type=="mouseover")
obj.visibility=visible
else if (e.type=="click")
obj.visibility=hidden
}

function iecompattest(){
return (document.compatMode && document.compatMode!="BackCompat")? document.documentElement : document.body
}

function clearbrowseredge(obj, whichedge){
var edgeoffset=0
if (whichedge=="rightedge"){
var windowedge=ie4 && !window.opera? iecompattest().scrollLeft+iecompattest().clientWidth-15 : window.pageXOffset+window.innerWidth-15
dropmenuobj.contentmeasure=dropmenuobj.offsetWidth
if (windowedge-dropmenuobj.x < dropmenuobj.contentmeasure)
edgeoffset=dropmenuobj.contentmeasure-obj.offsetWidth
}
else{
var topedge=ie4 && !window.opera? iecompattest().scrollTop : window.pageYOffset
var windowedge=ie4 && !window.opera? iecompattest().scrollTop+iecompattest().clientHeight-15 : window.pageYOffset+window.innerHeight-18
dropmenuobj.contentmeasure=dropmenuobj.offsetHeight
if (windowedge-dropmenuobj.y < dropmenuobj.contentmeasure){ //move up?
edgeoffset=dropmenuobj.contentmeasure+obj.offsetHeight
if ((dropmenuobj.y-topedge)<dropmenuobj.contentmeasure) //up no good either?
edgeoffset=dropmenuobj.y+obj.offsetHeight-topedge
}
}
return edgeoffset
}

function populatemenu(what){
if (ie4||ns6)
dropmenuobj.innerHTML=what.join("")
}


function dropdownmenu(obj, e, menucontents, menuwidth){
if (window.event) event.cancelBubble=true
else if (e.stopPropagation) e.stopPropagation()
clearhidemenu()
dropmenuobj=document.getElementById? document.getElementById("stsdropmenudiv") : stsdropmenudiv
populatemenu(menucontents)

if (ie4||ns6){
showhide(dropmenuobj.style, e, "visible", "hidden", menuwidth)
dropmenuobj.x=getposOffset(obj, "left")
dropmenuobj.y=getposOffset(obj, "top")
dropmenuobj.style.left=dropmenuobj.x-clearbrowseredge(obj, "rightedge")+"px"
dropmenuobj.style.top=dropmenuobj.y-clearbrowseredge(obj, "bottomedge")+obj.offsetHeight+"px"
}

return clickreturnvalue()
}

function clickreturnvalue(){
if (ie4||ns6) return false
else return true
}

function contains_ns6(a, b) {
while (b.parentNode)
if ((b = b.parentNode) == a)
return true;
return false;
}

function dynamichide(e){
if (ie4&&!dropmenuobj.contains(e.toElement))
delayhidemenu()
else if (ns6&&e.currentTarget!= e.relatedTarget&& !contains_ns6(e.currentTarget, e.relatedTarget))
delayhidemenu()
}

function hidemenu(e){
if (typeof dropmenuobj!="undefined"){
if (ie4||ns6)
dropmenuobj.style.visibility="hidden"
}
}

function delayhidemenu(){
if (ie4||ns6)
delayhide=setTimeout("hidemenu()",disappeardelay)
}

function clearhidemenu(){
if (typeof delayhide!="undefined")
clearTimeout(delayhide)
}

if (hidemenu_onclick=="yes")
document.onclick=hidemenu

</script>

<?php

	}

add_filter('wp_head', 'sts_dropdown_css');
add_action('admin_menu', 'sts_ddmenu_add_option_pages');

?>